Subject: Re: Tokimi's Avatar?
From: Darkblade <[email-masked]>
To: [email-masked]
Date: Mon, 03 Feb 1997 00:43:13 +0000

Ano...moshi moshi? Goddesses? in Tenchi Muyo? err...I've seen all the
OVA's
(except the Mihoshi special) could someone explain to me (and the rest
of us new to TM) where it's mentioned that Tsunami and Washu were
goddesses? I thought Tsunami was a tree?! Err..the computer of a ship or
something...and Washu was a professor of some Galactic university? Am I
missing something?
TIA.
----------------------------
[email-masked]
----------------------------